Subject: Re: pk-init DH

From: Jeffrey Hutzelman <[email-masked]>
Date: Mon, 29 Aug 2005 20:46:43 -0400

On Sunday, July 17, 2005 10:31:19 PM -0400 Jeffrey Hutzelman 
<[email-masked]> wrote:

>
>
> On Friday, July 15, 2005 11:35:49 AM +0200 Love Hörnquist Åstrand
> <[email-masked]> wrote:
>
>>
>> "Liqiang(Larry) Zhu" <[email-masked]> writes:
>>
>>> Love Hörnquist Åstrand wrote:
>>>> * The DH octetstring2key function is missing test vectors.
>>>
>>> This KDF is almost identical to the one provided in RFC3766, and RFC3766
>>> does not care to provide test vectors. Perhaps it is too simple to need
>>> test vectors?
>>
>> Then it shouldn't be hard to produce test-vectors.
>
>
> At this point I don't see a consensus as to whether test vectors are
> required for this function.  Note that because it is implemented in terms
> of an enctype-specific function provided in RFC3961, there cannot be a
> set of generic enctype-independent test vectors.
>
> I'd like to see more people comment on whether this is a requirement.  Of
> course, seeing some test vectors wouldn't hurt, either.

Well, apparently Larry and Love had an offline discussion, came up with 
some test vectors that both their implementations support, and these will 
be in PKINIT-28.  So, I'm considering this issue resolved.

-- Jeff